summaryrefslogtreecommitdiff
path: root/debian/patches
diff options
context:
space:
mode:
authorChristian Perrier <bubulle@debian.org>2008-07-16 22:41:04 +0200
committerJulien Valroff <julien@kirya.net>2010-01-04 19:39:21 +0100
commit01b76eb9b6121b19a376a9c447c5d431c7392c1c (patch)
treec2858ea28031a3bcee1036299f91f7f613ee391b /debian/patches
parentd906efbb1aacfebd9931d49028f6240a667bae14 (diff)
Imported Debian patch 1.14-1.2debian/1.14-1.2
Diffstat (limited to 'debian/patches')
-rw-r--r--debian/patches/00list2
-rw-r--r--debian/patches/101_mailgraph.pl.diff30
-rw-r--r--debian/patches/102_mailgraph.cgi.diff32
3 files changed, 64 insertions, 0 deletions
diff --git a/debian/patches/00list b/debian/patches/00list
new file mode 100644
index 0000000..90c588f
--- /dev/null
+++ b/debian/patches/00list
@@ -0,0 +1,2 @@
+101_mailgraph.pl.diff
+102_mailgraph.cgi.diff
diff --git a/debian/patches/101_mailgraph.pl.diff b/debian/patches/101_mailgraph.pl.diff
new file mode 100644
index 0000000..bbfff29
--- /dev/null
+++ b/debian/patches/101_mailgraph.pl.diff
@@ -0,0 +1,30 @@
+#! /bin/sh -e
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
+ -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -Nur mailgraph-1.10.orig/mailgraph.pl mailgraph-1.10/mailgraph.pl
+--- mailgraph-1.10.orig/mailgraph.pl 2004-10-25 19:27:09.000000000 +0000
++++ mailgraph-1.10/mailgraph.pl 2004-11-27 17:51:41.000000000 +0000
+@@ -304,8 +304,8 @@
+
+ # global variables
+ my $logfile;
+-my $rrd = "mailgraph.rrd";
+-my $rrd_virus = "mailgraph_virus.rrd";
++my $rrd = "/var/lib/mailgraph/mailgraph.rrd";
++my $rrd_virus = "/var/lib/mailgraph/mailgraph_virus.rrd";
+ my $year;
+ my $this_minute;
+ my %sum = ( sent => 0, received => 0, bounced => 0, rejected => 0, virus => 0, spam => 0 );
diff --git a/debian/patches/102_mailgraph.cgi.diff b/debian/patches/102_mailgraph.cgi.diff
new file mode 100644
index 0000000..4409c58
--- /dev/null
+++ b/debian/patches/102_mailgraph.cgi.diff
@@ -0,0 +1,32 @@
+#! /bin/sh -e
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
+ -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -Nur mailgraph-1.12.orig/mailgraph.cgi mailgraph-1.12/mailgraph.cgi
+--- mailgraph-1.12.orig/mailgraph.cgi 2005-10-16 19:17:00.000000000 +0200
++++ mailgraph-1.12/mailgraph.cgi 2005-11-13 13:43:32.000000000 +0100
+@@ -15,9 +15,9 @@
+ my $points_per_sample = 3;
+ my $ypoints = 160;
+ my $ypoints_err = 96;
+-my $rrd = 'mailgraph.rrd'; # path to where the RRD database is
+-my $rrd_virus = 'mailgraph_virus.rrd'; # path to where the Virus RRD database is
+-my $tmp_dir = '/tmp/mailgraph'; # temporary directory where to store the images
++my $rrd = '/var/lib/mailgraph/mailgraph.rrd'; # path to where the RRD database is
++my $rrd_virus = '/var/lib/mailgraph/mailgraph_virus.rrd'; # path to where the Virus RRD database is
++my $tmp_dir = '/var/lib/mailgraph'; # temporary directory where to store the images
+
+ my @graphs = (
+ { title => 'Day Graphs', seconds => 3600*24, },